org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

## Class CircuitBreakerClientForValidationDelay

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.CircuitBreakerClientForValidationDelay

    @RequestScoped
    public class CircuitBreakerClientForValidationDelay
    extends Object

A client to demonstrate the validation of the failureRatio attribute on @CircuitBreaker

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerClientForValidationDelay()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerClientForValidationDelay

    public CircuitBreakerClientForValidationDelay()

### Method Detail

#### serviceA

    @CircuitBreaker(failureRatio=-1.0)
    public Connection serviceA()